Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79935 - odd dependency errors on package upgrade (epoch promotion? something else)
Summary: odd dependency errors on package upgrade (epoch promotion? something else)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: distribution
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks: 79579 CambridgeTarget
TreeView+ depends on / blocked
 
Reported: 2002-12-18 03:59 UTC by Bill Nottingham
Modified: 2014-03-17 02:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-03-02 18:37:07 UTC


Attachments (Terms of Use)

Description Bill Nottingham 2002-12-18 03:59:20 UTC
rpm-4.2-0.18

[root@nostromo RPMS]# rpm -q --requires gnome-print | grep gnomeprint
libgnomeprint15 = 0.35
[root@nostromo RPMS]# rpm -q --provides libgnomeprint15
libgnomeprint.so.15
libgnomeprint15 = 1:0.35-8
[root@nostromo RPMS]# rpm -Va --nofiles gnome-print
<no output>

So, the current system has satisfied dependencies. However, I try
to install a new libgnomeprint15 package:

[root@nostromo RPMS]# rpm -Uvh libgnomeprint15-0.35-9.i386.rpm
error: Failed dependencies:
        libgnomeprint15 = 0.35 is needed by (installed) gnome-print-0.35-9
[root@nostromo RPMS]# rpm -qp --provides libgnomeprint15-0.35-9.i386.rpm
libgnomeprint.so.15
libgnomeprint15 = 1:0.35-9

So, this *should* work without dependency errors. So, I try it:

[root@nostromo RPMS]# rpm -Uvh --nodeps libgnomeprint15-0.35-9.i386.rpm
Preparing...                ########################################### [100%]
   1:libgnomeprint15        ########################################### [100%]
[root@nostromo RPMS]# rpm -V --nofiles gnome-print
<no output>

Comment 1 Jeff Johnson 2002-12-19 15:27:18 UTC
The problem of dependencies not specifying an explict
Epoch: is pervasive throughout the distros.

See the output of
    rpm -Vav

Off to distribution for a global fix, bounce back to rpm
for a tweak to --verify for already installed packages
when done.



Note You need to log in before you can comment on or make changes to this bug.